FOX16_Gui::WinScope Class Reference

`#include <fox16_gui.hpp>`

## Public Types

enum | WIN_SCOPE_TYPE { WIN_SCOPE_TYPE_WINDOW =0 }

## Public Member Functions

uint32_t | getId () const
uint32_t | getParentId () const
FXWindow * | getWindow () const
| WinScope (FXWindow *w)
| WinScope (uint32_t parentId, FXWindow *w)
| ~WinScope ()

## Protected Member Functions

WIN_SCOPE_TYPE | getType () const
| WinScope (WIN_SCOPE_TYPE t, uint32_t parentId, FXWindow *w)

## Protected Attributes

uint32_t | m_id
uint32_t | m_parentId
WIN_SCOPE_TYPE | m_type
FXWindow * | m_window

## Friends

class | FOX16_Gui

## Detailed Description

Definition at line 37 of file fox16_gui.hpp.

## Member Enumeration Documentation

## WIN_SCOPE_TYPE

enum WIN_SCOPE_TYPE

Enumerator
WIN_SCOPE_TYPE_WINDOW |

Definition at line 41 of file fox16_gui.hpp.

## Constructor & Destructor Documentation

## WinScope() [1/3]

WinScope | ( | uint32_t | parentId,
|  | FXWindow * | w )

## WinScope() [2/3]

WinScope | ( | FXWindow * | w | ) |

## ~WinScope()

~WinScope | ( |  | ) |

## WinScope() [3/3]

WinScope | ( | WIN_SCOPE_TYPE | t,
|  | uint32_t | parentId,
|  | FXWindow * | w )

protected

## Member Function Documentation

## getId()

uint32_t getId | ( |  | ) | const

inline

Definition at line 50 of file fox16_gui.hpp.

References m_id.

## getParentId()

uint32_t getParentId | ( |  | ) | const

inline

Definition at line 49 of file fox16_gui.hpp.

References m_parentId.

## getType()

WIN_SCOPE_TYPE getType | ( |  | ) | const

inline protected

Definition at line 55 of file fox16_gui.hpp.

References m_type.

## getWindow()

FXWindow * getWindow | ( |  | ) | const

inline

Definition at line 51 of file fox16_gui.hpp.

References m_window.

## Friends And Related Symbol Documentation

## FOX16_Gui

friend class FOX16_Gui

friend

Definition at line 38 of file fox16_gui.hpp.

References FOX16_Gui.

Referenced by FOX16_Gui.

## Field Documentation

## m_id

uint32_t m_id

protected

Definition at line 58 of file fox16_gui.hpp.

Referenced by getId().

## m_parentId

uint32_t m_parentId

protected

Definition at line 57 of file fox16_gui.hpp.

Referenced by getParentId().

## m_type

WIN_SCOPE_TYPE m_type

protected

Definition at line 60 of file fox16_gui.hpp.

Referenced by getType().

## m_window

FXWindow* m_window

protected

Definition at line 59 of file fox16_gui.hpp.

Referenced by getWindow().

The documentation for this class was generated from the following file:

- fox16_gui.hpp